package com.smppw.modaq.application.task;

import cn.hutool.core.date.DateUtil;
import com.smppw.modaq.application.service.EmailParseApiService;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.util.Date;

@Component
@EnableScheduling
public class ParseSchedulerTask {
    private final EmailParseApiService emailParseApiService;

    public ParseSchedulerTask(EmailParseApiService emailParseApiService) {
        this.emailParseApiService = emailParseApiService;
    }

    @Scheduled(cron = "0 0 4 * * ?") // 每天早上4点执行
    public void run() {
        Date preDay = DateUtil.offsetDay(new Date(), -1);
        this.emailParseApiService.parseEmail(preDay, new Date());
    }
}
